/**
 * JORM: an implementation of a generic mapping system for persistent Java
 *       objects. Two mapping are supported: to RDBMS and to binary files.
 * Copyright (C) 2001-2003 France Telecom R&D - INRIA
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: jorm-team@objectweb.org
 *
 */

package org.objectweb.jorm.perfs.basic;

import org.objectweb.jorm.api.PException;

/**
 * @author	<A HREF="mailto:sebastien.chassande@inrialpes.fr><b>
 *			Sebastien Chassande-Barrioz
 *			</b></A>
 */
public class Client implements ClientAccessor {
	public long identifier = 0;
	public String lastName = null;

	public Client(String ln) {
		lastName = ln;
	}

    /*	public String toString() {
		return "ttt identifier=" + identifier + " / lastName=" + lastName;
	}
    */
	// IMPLEMENTATION OF THE ClientAccessor interface //

	//Accessors to the lastName field
	public void paSetlastName(String val) throws PException {
		lastName = val;
	}

	public String paGetlastName() throws PException {
		return lastName;
	}

	public Object getMemoryInstance() {
		return this;
	}

	//Accessors to the identifier field
	public void paSetidentifier(long val) throws PException {
		identifier = val;
	}

	public long paGetidentifier() throws PException {
		return identifier;
	}
}
